{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.istiodactylus.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
					{
						"mounting": "query.is_riding && !query.is_sitting"
					},
					{
						"look_at_target": "query.is_on_ground"
					},
					{
						"look_at_target_flying": "!query.is_on_ground"
					},
					{
						"turn_angle": "!query.is_on_ground && !query.is_in_water"
					},
					{
						"take_off": "query.is_roaring"
					},
					{
						"attack": "query.is_delayed_attacking"
					},
					{
						"latching": "query.is_saddled"
					},
					"setup"
					]
				}
			}
		},
		"controller.animation.istiodactylus.move": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{"idle": "!query.is_saddled && !query.is_riding && !query.is_sitting && !query.is_sleeping && !query.is_dancing && !query.is_roaring"},
						{"sitting": "!query.is_saddled && !query.is_riding && !query.is_in_water && !query.is_sleeping &&  query.is_sitting && query.is_on_ground && !query.is_roaring"},
						{"sleeping": "!query.is_saddled && !query.is_riding && query.is_sleeping"},
						{"dance": "!query.is_saddled && !query.is_riding && query.is_dancing && query.is_on_ground && !query.is_sleeping && !query.is_sitting && !query.is_roaring"}
					],
					"transitions": [
						{"moving": "!query.is_in_water && variable.moving"},
						{"swimming": "query.is_in_water"}
					],
					"blend_transition": 0.2
				},
				"moving": {
					"animations": [
						{"walk": "!query.is_saddled && !query.is_riding && !query.is_sitting && !query.is_sleeping && !query.is_roaring"},
						{"sitting": "!query.is_saddled && !query.is_riding && query.is_sitting && !query.is_sleeping && !query.is_roaring"},
						{"sleeping": "!query.is_saddled && !query.is_riding && query.is_sleeping && !query.is_roaring"}
					],
					"transitions": [
						{"idle": "!query.is_in_water && !variable.moving"},
						{"flying": "!query.is_in_water && !query.is_on_ground"},
						{"swimming": "query.is_in_water"}
					],
					"blend_transition": 0.2
				},
				"flying": {
					"animations": [
						{"flying": "!query.is_riding && !query.is_sitting && !query.is_sleeping && !query.is_roaring"},
						{"sitting": "!query.is_riding && query.is_sitting && !query.is_sleeping && !query.is_roaring"}
					],
					"transitions": [
						{"idle": "!query.is_saddled && !query.is_in_water && !variable.moving"},
						{"hovering": "!query.is_saddled && !query.is_in_water && query.modified_move_speed < 0.4"},
						{"moving": "!query.is_saddled && !query.is_in_water && query.is_on_ground"},
						{"soaring": "!query.is_saddled && !query.is_in_water && !query.can_climb"},
						{"swimming": "!query.is_saddled && query.is_in_water"}
					],
					"blend_transition": 0.5
				},
				"soaring": {
					"animations": [
						{"soaring": "!query.is_riding && !query.is_sitting && !query.is_sleeping && !query.is_roaring"},
						{"sitting": "!query.is_riding && query.is_sitting && !query.is_sleeping && !query.is_roaring"}
					],
					"transitions": [
						{"idle": "!query.is_saddled && !query.is_in_water && !variable.moving"},
						{"hovering": "!query.is_saddled && !query.is_in_water && query.modified_move_speed < 0.4"},
						{"moving": "!query.is_saddled && !query.is_in_water && query.is_on_ground"},
						{"flying": "!query.is_saddled && !query.is_in_water && query.can_climb"},
						{"swimming": "query.is_in_water"}
					],
					"blend_transition": 0.5
				},
				"hovering": {
					"animations": [
						{"hovering": "!query.is_saddled && !query.is_riding && !query.is_sitting && !query.is_sleeping && !query.is_roaring"},
						{"sitting": "!query.is_saddled && !query.is_riding && query.is_sitting && !query.is_sleeping && !query.is_roaring"}
					],
					"transitions": [
						{"flying": "!query.is_in_water && query.modified_move_speed > 0.4"},
						{"idle": "!query.is_in_water && query.is_on_ground"},
						{"swimming": "query.is_in_water"}
					],
					"blend_transition": 1
				},
				"swimming": {
					"animations": [
						{"swim": "!query.is_saddled && !query.is_riding && !query.is_sitting && !query.is_sleeping && !query.is_roaring"},
						{"sitting": "!query.is_saddled && !query.is_riding && query.is_sitting && !query.is_sleeping && !query.is_roaring"},
						{"sleeping": "!query.is_riding && query.is_sleeping && !query.is_roaring"}
					],
					"transitions": [
						{"flying": "!query.is_in_water && !query.is_on_ground"},
						{"moving": "!query.is_in_water && query.is_on_ground"}
					],
					"blend_transition": 1
				}
			}
		}
	}
}